org.apache.ignite.spi

## Interface IgniteSpiManagementMBean

All Known Subinterfaces:
  AdaptiveLoadBalancingSpiMBean, AlwaysFailoverSpiMBean, CacheCheckpointSpiMBean, FifoQueueCollisionSpiMBean, JdbcCheckpointSpiMBean, JobStealingCollisionSpiMBean, JobStealingFailoverSpiMBean, LocalDeploymentSpiMBean, MemoryEventStorageSpiMBean, NeverFailoverSpiMBean, PriorityQueueCollisionSpiMBean, RoundRobinLoadBalancingSpiMBean, SharedFsCheckpointSpiMBean, TcpCommunicationSpiMBean, TcpDiscoverySpiMBean, WeightedRandomLoadBalancingSpiMBean

All Known Implementing Classes:
  IgniteSpiMBeanAdapter, TcpCommunicationSpiMBeanImpl

    public interface IgniteSpiManagementMBean

This interface defines basic MBean for all SPI implementations. Every SPI implementation should provide implementation for this MBean interface. Note that SPI implementation can extend this interface as necessary.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getIgniteHome()` Gets Ignite installation home folder (i.e.
`UUID` `getLocalNodeId()` Gets ID of the local node.
`String` `getName()` Gets name of the SPI.
`long` `getStartTimestamp()` Get start timestamp of this SPI.
`String` `getStartTimestampFormatted()` Gets string presentation of the start timestamp.
`long` `getUpTime()` Gets up-time of this SPI in ms.
`String` `getUpTimeFormatted()` Gets string presentation of up-time for this SPI.

### Method Detail

#### getStartTimestampFormatted

    @MXBeanDescription(value="String presentation of the start timestamp.")
    String getStartTimestampFormatted()

Gets string presentation of the start timestamp.

Returns:
  String presentation of the start timestamp.

#### getUpTimeFormatted

    @MXBeanDescription(value="String presentation of up-time for this SPI.")
    String getUpTimeFormatted()

Gets string presentation of up-time for this SPI.

Returns:
  String presentation of up-time for this SPI.

#### getStartTimestamp

    @MXBeanDescription(value="Start timestamp of this SPI.")
    long getStartTimestamp()

Get start timestamp of this SPI.

Returns:
  Start timestamp of this SPI.

#### getUpTime

    @MXBeanDescription(value="Up-time of this SPI in milliseconds.")
    long getUpTime()

Gets up-time of this SPI in ms.

Returns:
  Up-time of this SPI.

#### getIgniteHome

    @MXBeanDescription(value="Ignite installation home folder.")
    String getIgniteHome()

Gets Ignite installation home folder (i.e. ${IGNITE_HOME});

Returns:
  Ignite installation home folder.

#### getLocalNodeId

    @MXBeanDescription(value="ID of the local node.")
    UUID getLocalNodeId()

Gets ID of the local node.

Returns:
  ID of the local node.

#### getName

    @MXBeanDescription(value="Name of the SPI.")
    String getName()

Gets name of the SPI.

Returns:
  Name of the SPI.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023